Last modified: 2011-06-19 08:31:49 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28174 - "top left corner" in message may be wrong in RTL wikis.
"top left corner" in message may be wrong in RTL wikis.
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.18.x
All All
: Normal trivial with 1 vote (vote)
: ---
Assigned To: Siebrand Mazeland
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2011-03-22 00:03 UTC by Purodha Blissenbach
Modified: 2011-06-19 08:31 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Purodha Blissenbach 2011-03-22 00:03:54 UTC
In MediaWiki:Config-logo-help, the words "top left corner" may be wrong
in RTL wikis. There is a translation hint telling to translate "top left corner"
as "top right corner" with right-to-left scripts, but that is only a vague
guess, not clear enough. Some languages have scripts of both directinalities,
and you can set a wiki up to switch directionality with script or not, or with
any fixed directionality independent of scripts.

I think, the message should be using a more flexible wording, or if known,
the true directionality of the target wiki.


{{#LTR:yes|no}} and/or {{#RTL:yes|no}} syntax to messages.
Comment 1 Mark A. Hershberger 2011-03-22 05:32:43 UTC
I'm confused: isn't this something that should be fixed per-language and, thus, something that should be done on TranslateWiki?
Comment 2 Purodha Blissenbach 2011-03-22 09:50:11 UTC
No, it is not fixed per language.

Sometimes, the per language approach gives a nice hit rate, since many wikis (if they have a wiki language, and if that language does not have mutiple scripts of different directionality, and if the wiki setup has not choosen something unususal, and the language used during setup happens to be the wiki language, then) language directionality 'governs' the logo placement.

Sometimes not, since otherwise, it may be not so. 

Reality is more complex than the theory used to describe it, hence there are loopholes, and if you want to make it right, you have to take all the other things into consideration as well.

Thus, we may want to add an {{#LTR:yes|no}} and/or {{#RTL:yes|no}} syntax to messages giving us the true directionality of the wiki at them moment. Note that it may change from one web request to another.

We could as well reword the message making it talk of "... top right corner or top left corner, depending on setup, language, and script, ..." or something the like.
Comment 3 Siebrand Mazeland 2011-05-15 22:40:21 UTC
My personal opinion is that we are being overly precise here. Elaborating on the peculiarities of RTL/LTR is confusing to whomever is reading it; they just expect it to work. If anything, we should simplify this message, and remove "left/right" from the message, and/or rephrase it to something like "MediaWiki's default skin includes space for a 135x160 pixel logo above the sidebar menu."[1]

Is there consensus for this?

[1] https://translatewiki.net/wiki/MediaWiki:Config-logo-help/en
Comment 4 Chad H. 2011-05-15 23:13:07 UTC
Sounds good to me.
Comment 5 Purodha Blissenbach 2011-05-16 01:02:46 UTC
Yeah, lets make it so.
Actually, I just did it with Amirs consent.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links